Cuda error when profiling tensorflow python application with nsight compute but works fine otherwise

The error is “cudaGetDevice() failed. Status: CUDA driver version is insufficient for CUDA runtime version”

The command I use is “C:\OmniRepo\MLLL\venv\Scripts\python.exe C:/OmniRepo/MLLL/Src/CatsAndDogs/jp.py”
It works fine when I use it outside in cmd, for example, the net trains all is fine. But when I run that in Nsight compute I get that error. I read that you cannot have multiple drivers so that shouldn’t be the issue. I have installed Cuda 10.1 10.2 and 11.0 but TensorFlow automatically selects a version. And like I said it works outside so…